<?php

/*
Plugin Name: Code Generator Lite
Plugin URI: http://walletstation.com/code-generator/
Description: Create code generators.
Version: 1.1
Author: WalletStation.com
Author URI: http://walletstation.com/
*/

global $code_generator_lite_db_version;

$code_generator_lite_db_version = '1.1';

function code_generator_lite() {
	global $wpdb;
	
	$code_generator_lite_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('2','4','8','10','14','16','20','22','26','28','32','34','38','40','44','46','50','52','56','58') ORDER BY id");
	
	$code_generator_lite_get_name = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '1'");
?>
	<h2>Code Generator Lite <?php echo $code_generator_lite_db_version; ?></h2>
	This plugin allows you to create a code generator for Xbox Live codes, Amazon codes, Minecraft codes, etc. In order for a 
	user to obtain a code, they must go to a url, that you provide, to obtain a password. Once they obtain a password, they enter 
	it in the generator to get a code.
	<br /><br />
	<b>Features:</b><br />
	-Create 1 generator.<br />
	-Create 10 codes.<br />		
	-Create 3 URLs per code.<br />	
	-URLs are randomized.<br />	
	-Customize generator's style.<br />	
	-Generators can be added on posts or pages.<br />
	-Codes can only be accessed by one person at a time. A code becomes active once one of its URLs are accessed. If a password isn't entered, the 
	code becomes non-active in an hour.<br />		
	-Once a password is entered, the code and its URLs are deleted.
	
	For more features, upgrade to <a href="http://walletstation.com/code-generator/">Code Generator Pro</a>.<br /><br />
	
	<table cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px" width="30%"><h2>Generator</h2></td>
			<td style="border-bottom: solid 1px #CCCCCC" width="20%"><b>Display</b></td>
			<td style="border-bottom: solid 1px #CCCCCC" width="10%"><b>Edit</b></td>
			<td style="border-bottom: solid 1px #CCCCCC" width="10%"><b>Style</b></td>
		</tr>
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px"><?php echo $code_generator_lite_get_name->value; ?></td>
			<td style="border-bottom: solid 1px #CCCCCC;">[code_generator_lite_display id = "generator"]</td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 1, 'admin.php?page=code_generator_lite_edit_generator'); ?>">Edit</a></td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 1, 'admin.php?page=code_generator_lite_style'); ?>">Style</a></td>
		</tr>
	</table>
	<table cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px" width="30%"><h2>Codes</h2></td>
			<td style="border-bottom: solid 1px #CCCCCC" width="10%"><b>Active</b></td>
			<td style="border-bottom: solid 1px #CCCCCC" width="10%"><b>Edit</b></td>
			<td style="border-bottom: solid 1px #CCCCCC" width="10%"><b>Delete</b></td>
		</tr>
		
		<?php 
		foreach($code_generator_lite_get_info as $code_generator_lite_list_info) :
			$code_generator_lite_list_info_value[] = $code_generator_lite_list_info->value;
		endforeach; 
		
		if($code_generator_lite_list_info_value[0] != "") {
		?>
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px"><?php echo $code_generator_lite_list_info_value[0]; ?></td>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px">
			<?php 
			if($code_generator_lite_list_info_value[1] == '0') {
			echo "No";
			}
			else {
			echo "Yes";
			}
			?>
			</td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 2, 'admin.php?page=code_generator_lite_edit_code'); ?>">Edit</a></td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('del', 2, 'admin.php?page=code_generator_lite_edit_code&noheader=true'); ?>">Delete</a></td>
		</tr>
		<?php 
		} 
		if($code_generator_lite_list_info_value[2] != "") {
		?>
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px"><?php echo $code_generator_lite_list_info_value[2]; ?></td>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px">
			<?php 
			if($code_generator_lite_list_info_value[3] == '0') {
			echo "No";
			}
			else {
			echo "Yes";
			}
			?>
			</td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 8, 'admin.php?page=code_generator_lite_edit_code'); ?>">Edit</a></td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('del', 8, 'admin.php?page=code_generator_lite_edit_code&noheader=true'); ?>">Delete</a></td>
		</tr>
		<?php
		}
		if($code_generator_lite_list_info_value[4] != "") {
		?>
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px"><?php echo $code_generator_lite_list_info_value[4]; ?></td>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px">
			<?php 
			if($code_generator_lite_list_info_value[5] == '0') {
			echo "No";
			}
			else {
			echo "Yes";
			}
			?>
			</td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 14, 'admin.php?page=code_generator_lite_edit_code'); ?>">Edit</a></td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('del', 14, 'admin.php?page=code_generator_lite_edit_code&noheader=true'); ?>">Delete</a></td>
		</tr>
		<?php
		}
		if($code_generator_lite_list_info_value[6] != "") {
		?>
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px"><?php echo $code_generator_lite_list_info_value[6]; ?></td>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px">
			<?php 
			if($code_generator_lite_list_info_value[7] == '0') {
			echo "No";
			}
			else {
			echo "Yes";
			}
			?>
			</td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 20, 'admin.php?page=code_generator_lite_edit_code'); ?>">Edit</a></td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('del', 20, 'admin.php?page=code_generator_lite_edit_code&noheader=true'); ?>">Delete</a></td>
		</tr>
		<?php
		}
		if($code_generator_lite_list_info_value[8] != "") {
		?>
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px"><?php echo $code_generator_lite_list_info_value[8]; ?></td>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px">
			<?php 
			if($code_generator_lite_list_info_value[9] == '0') {
			echo "No";
			}
			else {
			echo "Yes";
			}
			?>
			</td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 26, 'admin.php?page=code_generator_lite_edit_code'); ?>">Edit</a></td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('del', 26, 'admin.php?page=code_generator_lite_edit_code&noheader=true'); ?>">Delete</a></td>
		</tr>
		<?php
		}
		if($code_generator_lite_list_info_value[10] != "") {
		?>
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px"><?php echo $code_generator_lite_list_info_value[10]; ?></td>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px">
			<?php 
			if($code_generator_lite_list_info_value[11] == '0') {
			echo "No";
			}
			else {
			echo "Yes";
			}
			?>
			</td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 32, 'admin.php?page=code_generator_lite_edit_code'); ?>">Edit</a></td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('del', 32, 'admin.php?page=code_generator_lite_edit_code&noheader=true'); ?>">Delete</a></td>
		</tr>
		<?php
		}
		if($code_generator_lite_list_info_value[12] != "") {
		?>
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px"><?php echo $code_generator_lite_list_info_value[12]; ?></td>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px">
			<?php 
			if($code_generator_lite_list_info_value[13] == '0') {
			echo "No";
			}
			else {
			echo "Yes";
			}
			?>
			</td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 38, 'admin.php?page=code_generator_lite_edit_code'); ?>">Edit</a></td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('del', 38, 'admin.php?page=code_generator_lite_edit_code&noheader=true'); ?>">Delete</a></td>
		</tr>
		<?php
		}
		if($code_generator_lite_list_info_value[14] != "") {
		?>
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px"><?php echo $code_generator_lite_list_info_value[14]; ?></td>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px">
			<?php 
			if($code_generator_lite_list_info_value[15] == '0') {
			echo "No";
			}
			else {
			echo "Yes";
			}
			?>
			</td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 44, 'admin.php?page=code_generator_lite_edit_code'); ?>">Edit</a></td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('del', 44, 'admin.php?page=code_generator_lite_edit_code&noheader=true'); ?>">Delete</a></td>
		</tr>
		<?php
		}
		if($code_generator_lite_list_info_value[16] != "") {
		?>
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px"><?php echo $code_generator_lite_list_info_value[16]; ?></td>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px">
			<?php 
			if($code_generator_lite_list_info_value[17] == '0') {
			echo "No";
			}
			else {
			echo "Yes";
			}
			?>
			</td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 50, 'admin.php?page=code_generator_lite_edit_code'); ?>">Edit</a></td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('del', 50, 'admin.php?page=code_generator_lite_edit_code&noheader=true'); ?>">Delete</a></td>
		</tr>
		<?php
		}
		if($code_generator_lite_list_info_value[18] != "") {
		?>
		<tr>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px"><?php echo $code_generator_lite_list_info_value[18]; ?></td>
			<td style="border-bottom: solid 1px #CCCCCC; padding: 5px">
			<?php 
			if($code_generator_lite_list_info_value[19] == '0') {
			echo "No";
			}
			else {
			echo "Yes";
			}
			?>
			</td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('id', 56, 'admin.php?page=code_generator_lite_edit_code'); ?>">Edit</a></td>
			<td style="border-bottom: solid 1px #CCCCCC"><a href="<?php echo add_query_arg('del', 56, 'admin.php?page=code_generator_lite_edit_code&noheader=true'); ?>">Delete</a></td>
		</tr>
		<?php
		}
		?>
	</table>
<?php 
}

function code_generator_lite_create_generator() {
	global $wpdb;
	
	if(isset($_POST['code_generator_lite_create_generator_create'])){
		$code_generator_lite_create_generator_name = stripslashes((string)$_POST['code_generator_lite_create_generator_name']);
		
		$wpdb->query("INSERT INTO ".$wpdb->prefix."code_generator_lite (id,name,value) VALUES ('1','Generator','$code_generator_lite_create_generator_name'), ('2','Code',''), ('3','Password',''), ('4','Active','0'), ('5','URL',''), ('6','URL',''), ('7','URL',''), ('8','Code',''), ('9','Password',''), ('10','Active','0'), ('11','URL',''), ('12','URL',''), ('13','URL',''), ('14','Code',''), ('15','Password',''), ('16','Active','0'), ('17','URL',''), ('18','URL',''), ('19','URL',''), ('20','Code',''), ('21','Password',''), ('22','Active','0'), ('23','URL',''), ('24','URL',''), ('25','URL',''), ('26','Code',''), ('27','Password',''), ('28','Active','0'), ('29','URL',''), ('30','URL',''), ('31','URL',''), ('32','Code',''), ('33','Password',''), ('34','Active','0'), ('35','URL',''), ('36','URL',''), ('37','URL',''), ('38','Code',''), ('39','Password',''), ('40','Active','0'), ('41','URL',''), ('42','URL',''), ('43','URL',''), ('44','Code',''), ('45','Password',''), ('46','Active','0'), ('47','URL',''), ('48','URL',''), ('49','URL',''), ('50','Code',''), ('51','Password',''), ('52','Active','0'), ('53','URL',''), ('54','URL',''), ('55','URL',''), ('56','Code',''), ('57','Password',''), ('58','Active','0'), ('59','URL',''), ('60','URL',''), ('61','URL','')");
		
		wp_redirect('admin.php?page=code_generator_lite_generator');
        exit;
	}
?>
	<h2>Create Generator</h2>
    <form method="post" action="admin.php?page=code_generator_lite_create_generator&noheader=true">
        <table width="300px">
        	<tr>
            	<td valign="middle"><strong>Name:</strong></td>
                <td><input name="code_generator_lite_create_generator_name" type="text" size="40" /></td>
            </tr>
            <tr>
            	<td></td>
                <td> <div class="submit" style="padding: 0"><input type="submit" name="code_generator_lite_create_generator_create" value="Create" /> </div></td>
            </tr>
        </table>
	</form>
<?php 
}

function code_generator_lite_edit_generator() {
	global $wpdb;
	
	$code_generator_lite_edit_generator_name = stripslashes((string)$_POST['code_generator_lite_edit_generator_name']);

	if(isset($_POST['code_generator_lite_edit_generator_edit'])){
		$code_generator_edit_generator_lite_old_name = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '1'");
		$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = '$code_generator_lite_edit_generator_name' WHERE id = '1'");
		$code_generator_lite_edit_generator_new_name = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite_ WHERE id = '1'");
		
		wp_redirect('admin.php?page=code_generator_lite_generator');
        exit;
	}
	
	if(isset($_GET['id'])){
		$code_generator_lite_edit_generator_generator = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '1'");
	}
?>

	<h2>Edit Generator</h2>
    <form method="post" action="admin.php?page=code_generator_lite_edit_generator&noheader=true">
        <table width="300px">
        	<tr>
            	<td valign="middle"><strong>Name:</strong></td>
                <td><input name="code_generator_lite_edit_generator_name" type="text" size="40" value="<?php echo $code_generator_lite_edit_generator_generator->value; ?>"/></td>
            </tr>
            <tr>
            	<td></td>
                <td><div class="submit" style="padding: 0"><input type="submit" name="code_generator_lite_edit_generator_edit" value="Edit" /></div></td>
            </tr>
        </table>
	</form>
<?php 
}

function code_generator_lite_style() {
	global $wpdb;
	
	$_POST = stripslashes_deep($_POST);
	
	$code_generator_lite_style_generator = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '1'");
	
	if(isset($_POST['code_generator_lite_style_edit'])){
		$code_generator_lite_style_edit_cotent = $_POST['code_generator_lite_style_content'];
		$handle = @fopen('../wp-content/plugins/code-generator-lite/style.php', 'w');
		fwrite($handle, $code_generator_lite_style_edit_cotent);
		fclose($handle);
	}
	
	if(isset($_GET['id'])){
		$code_generator_lite_style_content = file_get_contents('../wp-content/plugins/code-generator-lite/style.php');
	}
?>

	<h2>Edit <?php echo $code_generator_lite_style_generator->name; ?></h2>
		<form name="template" id="template" action="<?php echo $_SERVER["REQUEST_URI"]; ?>" method="post">
			<div><textarea cols="70" rows="25" name="code_generator_lite_style_content"><?php echo $code_generator_lite_style_content; ?></textarea></div>
			<p class="submit"><input type="submit" name="code_generator_lite_style_edit" value="Update File" /></p>
		</form>

<?php 
}

function code_generator_lite_add_code() {
	global $wpdb;
	
	$code_generator_lite_add_code_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('2','8','14','20','26','32','38','44','50','56') ORDER BY id");
	
	foreach($code_generator_lite_add_code_get_info as $code_generator_lite_add_code_get_infos) :
		$code_generator_lite_add_code_get_value[] = $code_generator_lite_add_code_get_infos->value;
	endforeach;
	
	foreach($code_generator_lite_add_code_get_value as $key => $value) :
		$code_generator_lite_add_code_get_values[$key] = stripslashes($value);
	endforeach;
	
	if(isset($_POST['code_generator_lite_add_code_add'])){
		$code_generator_lite_add_code_code = stripslashes((string)$_POST['code_generator_lite_add_code_code']);
		$code_generator_lite_add_code_password = stripslashes((string)$_POST['code_generator_lite_add_code_password']);
		$code_generator_lite_add_code_url = stripslashes((string)$_POST['code_generator_lite_add_code_url']);
		$code_generator_lite_add_code_url_two = stripslashes((string)$_POST['code_generator_lite_add_code_url_two']);
		$code_generator_lite_add_code_url_three = stripslashes((string)$_POST['code_generator_lite_add_code_url_three']);
		
		if($code_generator_lite_add_code_get_values[0] == "") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '2' then '$code_generator_lite_add_code_code' when '3' then '$code_generator_lite_add_code_password' when '5' then '$code_generator_lite_add_code_url' when '6' then '$code_generator_lite_add_code_url_two' when '7' then '$code_generator_lite_add_code_url_three' end WHERE id IN ('2','3','5','6','7')");
		}
		elseif($code_generator_lite_add_code_get_values[1] == "") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '8' then '$code_generator_lite_add_code_code' when '9' then '$code_generator_lite_add_code_password' when '11' then '$code_generator_lite_add_code_url' when '12' then '$code_generator_lite_add_code_url_two' when '13' then '$code_generator_lite_add_code_url_three' end WHERE id IN ('8','9','11','12','13')");
		}		
		elseif($code_generator_lite_add_code_get_values[2] == "") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '14' then '$code_generator_lite_add_code_code' when '15' then '$code_generator_lite_add_code_password' when '17' then '$code_generator_lite_add_code_url' when '18' then '$code_generator_lite_add_code_url_two' when '19' then '$code_generator_lite_add_code_url_three' end WHERE id IN ('14','15','17','18','19')");
		}	
		elseif($code_generator_lite_add_code_get_values[3] == "") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '20' then '$code_generator_lite_add_code_code' when '21' then '$code_generator_lite_add_code_password' when '23' then '$code_generator_lite_add_code_url' when '24' then '$code_generator_lite_add_code_url_two' when '25' then '$code_generator_lite_add_code_url_three' end WHERE id IN ('20','21','23','24','25')");
		}	
		elseif($code_generator_lite_add_code_get_values[4] == "") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '26' then '$code_generator_lite_add_code_code' when '27' then '$code_generator_lite_add_code_password' when '29' then '$code_generator_lite_add_code_url' when '30' then '$code_generator_lite_add_code_url_two' when '31' then '$code_generator_lite_add_code_url_three' end WHERE id IN ('26','27','29','30','31')");
		}	
		elseif($code_generator_lite_add_code_get_values[5] == "") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '32' then '$code_generator_lite_add_code_code' when '33' then '$code_generator_lite_add_code_password' when '35' then '$code_generator_lite_add_code_url' when '36' then '$code_generator_lite_add_code_url_two' when '37' then '$code_generator_lite_add_code_url_three' end WHERE id IN ('32','33','35','36','37')");
		}	
		elseif($code_generator_lite_add_code_get_values[6] == "") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '38' then '$code_generator_lite_add_code_code' when '39' then '$code_generator_lite_add_code_password' when '41' then '$code_generator_lite_add_code_url' when '42' then '$code_generator_lite_add_code_url_two' when '43' then '$code_generator_lite_add_code_url_three' end WHERE id IN ('38','39','41','42','43')");
		}	
		elseif($code_generator_lite_add_code_get_values[7] == "") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '44' then '$code_generator_lite_add_code_code' when '45' then '$code_generator_lite_add_code_password' when '47' then '$code_generator_lite_add_code_url' when '48' then '$code_generator_lite_add_code_url_two' when '49' then '$code_generator_lite_add_code_url_three' end WHERE id IN ('44','45','47','48','49')");
		}	
		elseif($code_generator_lite_add_code_get_values[8] == "") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '50' then '$code_generator_lite_add_code_code' when '51' then '$code_generator_lite_add_code_password' when '53' then '$code_generator_lite_add_code_url' when '54' then '$code_generator_lite_add_code_url_two' when '55' then '$code_generator_lite_add_code_url_three' end WHERE id IN ('50','51','53','54','55')");
		}	
		elseif($code_generator_lite_add_code_get_values[9] == "") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '56' then '$code_generator_lite_add_code_code' when '57' then '$code_generator_lite_add_code_password' when '59' then '$code_generator_lite_add_code_url' when '60' then '$code_generator_lite_add_code_url_two' when '61' then '$code_generator_lite_add_code_url_three' end WHERE id IN ('56','57','59','60','61')");
		}	
		
		wp_redirect('admin.php?page=code_generator_lite_generator');
        exit;
	}
?>
	<h2>Add Code</h2>
	Each code must have a unique password.
	<form method="post" action="admin.php?page=code_generator_lite_add_code&noheader=true">
		<table width="300px">
			<tbody>
				<tr>
					<td valign="middle"><strong>Code:</strong></td>
					<td><input name="code_generator_lite_add_code_code" type="text" size="40" /></td>
				</tr>
				<tr>
					<td valign="middle"><strong>Password:</strong></td>
					<td><input name="code_generator_lite_add_code_password" type="text" size="40" /></td>
				</tr>
				<tr>
					<td valign="middle"><strong>URL:</strong></td>
					<td><input name="code_generator_lite_add_code_url" type="text" size="40" /></td>
				</tr>
				<tr>
					<td valign="middle"><strong>URL:</strong></td>
					<td><input name="code_generator_lite_add_code_url_two" type="text" size="40" /></td>
				</tr>
				<tr>
					<td valign="middle"><strong>URL:</strong></td>
					<td><input name="code_generator_lite_add_code_url_three" type="text" size="40" /></td>
				</tr>
				<tr>
					<td></td>
					<td><div class="submit" style="padding: 0"><input type="submit" name="code_generator_lite_add_code_add" value="Add" /> </div></td>
				</tr>
			</tbody>
        </table>
	</form>
<?php 
}

function code_generator_lite_edit_code() {
	global $wpdb;
	
	$code_generator_lite_edit_code_id = $_GET['id'];
	$code_generator_lite_edit_code_delete_id = $_GET['del'];
	$code_generator_lite_edit_code_code = stripslashes((string)$_POST['code_generator_lite_edit_code_code']);
	$code_generator_lite_edit_code_password = stripslashes((string)$_POST['code_generator_lite_edit_code_password']);
	$code_generator_lite_edit_code_url = stripslashes((string)$_POST['code_generator_lite_edit_code_url']);
	$code_generator_lite_edit_code_url_two = stripslashes((string)$_POST['code_generator_lite_edit_code_url_two']);
	$code_generator_lite_edit_code_url_three = stripslashes((string)$_POST['code_generator_lite_edit_code_url_three']);
		
	if(isset($_POST['code_generator_lite_edit_code_edit'])){
		if($code_generator_lite_edit_code_id == "2") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '2' then '$code_generator_lite_edit_code_code' when '3' then '$code_generator_lite_edit_code_password' when '4' then '0' when '5' then '$code_generator_lite_edit_code_url' when '6' then '$code_generator_lite_edit_code_url_two' when '7' then '$code_generator_lite_edit_code_url_three' end WHERE id IN ('2','3','4','5','6','7')");
		}
		elseif($code_generator_lite_edit_code_id == "8") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '8' then '$code_generator_lite_edit_code_code' when '9' then '$code_generator_lite_edit_code_password' when '10' then '0' when '11' then '$code_generator_lite_edit_code_url' when '12' then '$code_generator_lite_edit_code_url_two' when '13' then '$code_generator_lite_edit_code_url_three' end WHERE id IN ('8','9','10','11','12','13')");
		}		
		elseif($code_generator_lite_edit_code_id == "14") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '14' then '$code_generator_lite_edit_code_code' when '15' then '$code_generator_lite_edit_code_password' when '16' then '0' when '17' then '$code_generator_lite_edit_code_url' when '18' then '$code_generator_lite_edit_code_url_two' when '19' then '$code_generator_lite_edit_code_url_three' end WHERE id IN ('14','15','16','17','18','19')");
		}	
		elseif($code_generator_lite_edit_code_id == "20") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '20' then '$code_generator_lite_edit_code_code' when '21' then '$code_generator_lite_edit_code_password' when '22' then '0' when '23' then '$code_generator_lite_edit_code_url' when '24' then '$code_generator_lite_edit_code_url_two' when '25' then '$code_generator_lite_edit_code_url_three' end WHERE id IN ('20','21','22','23','24','25')");
		}	
		elseif($code_generator_lite_edit_code_id == "26") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '26' then '$code_generator_lite_edit_code_code' when '27' then '$code_generator_lite_edit_code_password' when '28' then '0' when '29' then '$code_generator_lite_edit_code_url' when '30' then '$code_generator_lite_edit_code_url_two' when '31' then '$code_generator_lite_edit_code_url_three' end WHERE id IN ('26','27','28','29','30','31')");
		}	
		elseif($code_generator_lite_edit_code_id == "32") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '32' then '$code_generator_lite_edit_code_code' when '33' then '$code_generator_lite_edit_code_password' when '34' then '0' when '35' then '$code_generator_lite_edit_code_url' when '36' then '$code_generator_lite_edit_code_url_two' when '37' then '$code_generator_lite_edit_code_url_three' end WHERE id IN ('32','33','34','35','36','37')");
		}	
		elseif($code_generator_lite_edit_code_id == "38") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '38' then '$code_generator_lite_edit_code_code' when '39' then '$code_generator_lite_edit_code_password' when '40' then '0' when '41' then '$code_generator_lite_edit_code_url' when '42' then '$code_generator_lite_edit_code_url_two' when '43' then '$code_generator_lite_edit_code_url_three' end WHERE id IN ('38','39','40','41','42','43')");
		}	
		elseif($code_generator_lite_edit_code_id == "44") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '44' then '$code_generator_lite_edit_code_code' when '45' then '$code_generator_lite_edit_code_password' when '46' then '0' when '47' then '$code_generator_lite_edit_code_url' when '48' then '$code_generator_lite_edit_code_url_two' when '49' then '$code_generator_lite_edit_code_url_three' end WHERE id IN ('44','45','46','47','48','49')");
		}	
		elseif($code_generator_lite_edit_code_id == "50") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '50' then '$code_generator_lite_edit_code_code' when '51' then '$code_generator_lite_edit_code_password' when '52' then '0' when '53' then '$code_generator_lite_edit_code_url' when '54' then '$code_generator_lite_edit_code_url_two' when '55' then '$code_generator_lite_edit_code_url_three' end WHERE id IN ('50','51','52','53','57','55')");
		}	
		elseif($code_generator_lite_edit_code_id == "56") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '56' then '$code_generator_lite_edit_code_code' when '57' then '$code_generator_lite_edit_code_password' when '58' then '0' when '59' then '$code_generator_lite_edit_code_url' when '60' then '$code_generator_lite_edit_code_url_two' when '61' then '$code_generator_lite_edit_code_url_three' end WHERE id IN ('56','57','58','59','60','61')");
		}
	}
	
	if(isset($_GET['del'])){
		if($code_generator_lite_edit_code_delete_id == "2") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '2' then '' when '3' then '' when '4' then '0' when '5' then '' when '6' then '' when '7' then '' end WHERE id IN ('2','3','4','5','6','7')");
		}
		elseif($code_generator_lite_edit_code_delete_id == "8") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '8' then '' when '9' then '' when '10' then '0' when '11' then '' when '12' then '' when '13' then '' end WHERE id IN ('8','9','10','11','12','13')");
		}		
		elseif($code_generator_lite_edit_code_delete_id == "14") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '14' then '' when '15' then '' when '16' then '0' when '17' then '' when '18' then '' when '19' then '' end WHERE id IN ('14','15','16','17','18','19')");
		}	
		elseif($code_generator_lite_edit_code_delete_id == "20") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '20' then '' when '21' then '' when '22' then '0' when '23' then '' when '24' then '' when '25' then '' end WHERE id IN ('20','21','22','23','24','25')");
		}	
		elseif($code_generator_lite_edit_code_delete_id == "26") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '26' then '' when '27' then '' when '28' then '0' when '29' then '' when '30' then '' when '31' then '' end WHERE id IN ('26','27','28','29','30','31')");
		}	
		elseif($code_generator_lite_edit_code_delete_id == "32") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '32' then '' when '33' then '' when '34' then '0' when '35' then '' when '36' then '' when '37' then '' end WHERE id IN ('32','33','34','35','36','37')");
		}	
		elseif($code_generator_lite_edit_code_delete_id == "38") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '38' then '' when '39' then '' when '40' then '0' when '41' then '' when '42' then '' when '43' then '' end WHERE id IN ('38','39','40','41','42','43')");
		}	
		elseif($code_generator_lite_edit_code_delete_id == "44") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '44' then '' when '45' then '' when '46' then '0' when '47' then '' when '48' then '' when '49' then '' end WHERE id IN ('44','45','46''47','48','49')");
		}	
		elseif($code_generator_lite_edit_code_delete_id == "50") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '50' then '' when '51' then '' when '52' then '0' when '53' then '' when '54' then '' when '55' then '' end WHERE id IN ('50','51','50','53','54','55')");
		}	
		elseif($code_generator_lite_edit_code_delete_id == "56") {
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '56' then '' when '57' then '' when '58' then '0' when '59' then '' when '60' then '' when '61' then '' end WHERE id IN ('56','57','58','59','60','61')");
		}
		
		wp_redirect('admin.php?page=code_generator_lite_generator');
        exit;
	}
	
	if(isset($_GET['id'])){
		if($code_generator_lite_edit_code_id == "2") {
			$code_generator_lite_edit_code_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('2','3','5','6','7') ORDER BY id");
	
			foreach($code_generator_lite_edit_code_get_info as $code_generator_lite_edit_code_get_infos) :
				$code_generator_lite_edit_code_get_value[] = $code_generator_lite_edit_code_get_infos->value;
			endforeach;

			foreach($code_generator_lite_edit_code_get_value as $key => $value) :
				$code_generator_lite_edit_code_get_values[$key] = stripslashes($value);
			endforeach;
		}
		elseif($code_generator_lite_edit_code_id == "8") {
			$code_generator_lite_edit_code_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('8','9','11','12','13') ORDER BY id");
	
			foreach($code_generator_lite_edit_code_get_info as $code_generator_lite_edit_code_get_infos) :
				$code_generator_lite_edit_code_get_value[] = $code_generator_lite_edit_code_get_infos->value;
			endforeach;

			foreach($code_generator_lite_edit_code_get_value as $key => $value) :
				$code_generator_lite_edit_code_get_values[$key] = stripslashes($value);
			endforeach;
		}		
		elseif($code_generator_lite_edit_code_id == "14") {
			$code_generator_lite_edit_code_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('14','15','17','18','19') ORDER BY id");
	
			foreach($code_generator_lite_edit_code_get_info as $code_generator_lite_edit_code_get_infos) :
				$code_generator_lite_edit_code_get_value[] = $code_generator_lite_edit_code_get_infos->value;
			endforeach;

			foreach($code_generator_lite_edit_code_get_value as $key => $value) :
				$code_generator_lite_edit_code_get_values[$key] = stripslashes($value);
			endforeach;
		}	
		elseif($code_generator_lite_edit_code_id == "20") {
			$code_generator_lite_edit_code_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('20','21','23','24','25') ORDER BY id");
	
			foreach($code_generator_lite_edit_code_get_info as $code_generator_lite_edit_code_get_infos) :
				$code_generator_lite_edit_code_get_value[] = $code_generator_lite_edit_code_get_infos->value;
			endforeach;

			foreach($code_generator_lite_edit_code_get_value as $key => $value) :
				$code_generator_lite_edit_code_get_values[$key] = stripslashes($value);
			endforeach;
		}	
		elseif($code_generator_lite_edit_code_id == "26") {
			$code_generator_lite_edit_code_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('26','27','29','30','31') ORDER BY id");
	
			foreach($code_generator_lite_edit_code_get_info as $code_generator_lite_edit_code_get_infos) :
				$code_generator_lite_edit_code_get_value[] = $code_generator_lite_edit_code_get_infos->value;
			endforeach;

			foreach($code_generator_lite_edit_code_get_value as $key => $value) :
				$code_generator_lite_edit_code_get_values[$key] = stripslashes($value);
			endforeach;
		}	
		elseif($code_generator_lite_edit_code_id == "32") {
			$code_generator_lite_edit_code_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('32','33','35','36','37') ORDER BY id");
	
			foreach($code_generator_lite_edit_code_get_info as $code_generator_lite_edit_code_get_infos) :
				$code_generator_lite_edit_code_get_value[] = $code_generator_lite_edit_code_get_infos->value;
			endforeach;

			foreach($code_generator_lite_edit_code_get_value as $key => $value) :
				$code_generator_lite_edit_code_get_values[$key] = stripslashes($value);
			endforeach;
		}	
		elseif($code_generator_lite_edit_code_id == "38") {
			$code_generator_lite_edit_code_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('38','39','41','42','43') ORDER BY id");
	
			foreach($code_generator_lite_edit_code_get_info as $code_generator_lite_edit_code_get_infos) :
				$code_generator_lite_edit_code_get_value[] = $code_generator_lite_edit_code_get_infos->value;
			endforeach;

			foreach($code_generator_lite_edit_code_get_value as $key => $value) :
				$code_generator_lite_edit_code_get_values[$key] = stripslashes($value);
			endforeach;
		}	
		elseif($code_generator_lite_edit_code_id == "44") {
			$code_generator_lite_edit_code_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('44','45','47','48','49') ORDER BY id");
	
			foreach($code_generator_lite_edit_code_get_info as $code_generator_lite_edit_code_get_infos) :
				$code_generator_lite_edit_code_get_value[] = $code_generator_lite_edit_code_get_infos->value;
			endforeach;

			foreach($code_generator_lite_edit_code_get_value as $key => $value) :
				$code_generator_lite_edit_code_get_values[$key] = stripslashes($value);
			endforeach;
		}	
		elseif($code_generator_lite_edit_code_id == "50") {
			$code_generator_lite_edit_code_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('50','51','53','54','55') ORDER BY id");
	
			foreach($code_generator_lite_edit_code_get_info as $code_generator_lite_edit_code_get_infos) :
				$code_generator_lite_edit_code_get_value[] = $code_generator_lite_edit_code_get_infos->value;
			endforeach;

			foreach($code_generator_lite_edit_code_get_value as $key => $value) :
				$code_generator_lite_edit_code_get_values[$key] = stripslashes($value);
			endforeach;
		}	
		elseif($code_generator_lite_edit_code_id == "56") {
			$code_generator_lite_edit_code_get_info = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id IN ('56','57','59','60','61') ORDER BY id");
	
			foreach($code_generator_lite_edit_code_get_info as $code_generator_lite_edit_code_get_infos) :
				$code_generator_lite_edit_code_get_value[] = $code_generator_lite_edit_code_get_infos->value;
			endforeach;

			foreach($code_generator_lite_edit_code_get_value as $key => $value) :
				$code_generator_lite_edit_code_get_values[$key] = stripslashes($value);
			endforeach;
		}
	}
?>
<h2>Edit Code</h2>
    <form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
 		<table width="300px">
			<tbody>
				<tr>
					<td valign="middle"><strong>Code:</strong></td>
					<td><input name="code_generator_lite_edit_code_code" value="<?php echo $code_generator_lite_edit_code_get_values[0]; ?>" type="text" size="40" /></td>
				</tr>
				<tr>
					<td valign="middle"><strong>Password:</strong></td>
					<td><input name="code_generator_lite_edit_code_password" value="<?php echo $code_generator_lite_edit_code_get_values[1]; ?>" type="text" size="40" /></td>
				</tr>
				<tr>
					<td valign="middle"><strong>URL:</strong></td>
					<td><input name="code_generator_lite_edit_code_url" value="<?php echo $code_generator_lite_edit_code_get_values[2]; ?>" type="text" size="40" /></td>
				</tr>
				<tr>
					<td valign="middle"><strong>URL:</strong></td>
					<td><input name="code_generator_lite_edit_code_url_two" value="<?php echo $code_generator_lite_edit_code_get_values[3]; ?>" type="text" size="40" /></td>
				</tr>
				<tr>
					<td valign="middle"><strong>URL:</strong></td>
					<td><input name="code_generator_lite_edit_code_url_three" value="<?php echo $code_generator_lite_edit_code_get_values[4]; ?>" type="text" size="40" /></td>
				</tr>
				<tr>
					<td></td>
					<td><div class="submit" style="padding: 0"><input type="submit" name="code_generator_lite_edit_code_edit" value="Edit" /> </div></td>
				</tr>
			</tbody>
        </table>
	</form>
<?php 
}

function code_generator_lite_display($atts) {
	extract(shortcode_atts(array(
		'id' => 'generator'
	), $atts ) );
	
	global $wpdb, $code_generator_lite_generate_get_code;
	
	$code_generator_lite_display_get_codes = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id BETWEEN 1 AND 61 ORDER BY id");

	foreach($code_generator_lite_display_get_codes as $code_generator_lite_display_get_code_info) :
		$code_generator_lite_display_get_code_id[] = $code_generator_lite_display_get_code_info->id;
		$code_generator_lite_display_get_code_value[] = $code_generator_lite_display_get_code_info->value;
	endforeach;

	foreach($code_generator_lite_display_get_code_id as $key => $value) :
		$code_generator_lite_display_get_code_ids[$key] = stripslashes($value);
	endforeach;	
	
	foreach($code_generator_lite_display_get_code_value as $key => $value) :
		$code_generator_lite_display_get_code_values[$key] = stripslashes($value);
	endforeach;
		
	if($code_generator_lite_display_get_code_values[1] != '' && $code_generator_lite_display_get_code_values[3] == "0") {
		$code_generator_lite_display_url = get_bloginfo('url')."?c=".$code_generator_lite_display_get_code_ids[1];
	}
	elseif($code_generator_lite_display_get_code_values[7] != '' && $code_generator_lite_display_get_code_values[9] == "0") {
		$code_generator_lite_display_url = get_bloginfo('url')."?c=".$code_generator_lite_display_get_code_ids[7];
	}
	elseif($code_generator_lite_display_get_code_values[13] != '' && $code_generator_lite_display_get_code_values[15] == "0") {
		$code_generator_lite_display_url = get_bloginfo('url')."?c=".$code_generator_lite_display_get_code_ids[13];
	}
	elseif($code_generator_lite_display_get_code_values[19] != '' && $code_generator_lite_display_get_code_values[21] == "0") {
		$code_generator_lite_display_url = get_bloginfo('url')."?c=".$code_generator_lite_display_get_code_ids[19];
	}
	elseif($code_generator_lite_display_get_code_values[25] != '' && $code_generator_lite_display_get_code_values[27] == "0") {
		$code_generator_lite_display_url = get_bloginfo('url')."?c=".$code_generator_lite_display_get_code_ids[25];
	}
	elseif($code_generator_lite_display_get_code_values[31] != '' && $code_generator_lite_display_get_code_values[33] == "0") {
		$code_generator_lite_display_url = get_bloginfo('url')."?c=".$code_generator_lite_display_get_code_ids[31];
	}
	elseif($code_generator_lite_display_get_code_values[37] != '' && $code_generator_lite_display_get_code_values[39] == "0") {
		$code_generator_lite_display_url = get_bloginfo('url')."?c=".$code_generator_lite_display_get_code_ids[37];
	}	
	elseif($code_generator_lite_display_get_code_values[43] != '' && $code_generator_lite_display_get_code_values[45] == "0") {
		$code_generator_lite_display_url = get_bloginfo('url')."?c=".$code_generator_lite_display_get_code_ids[43];
	}
	elseif($code_generator_lite_display_get_code_values[49] != '' && $code_generator_lite_display_get_code_values[51] == "0") {
		$code_generator_lite_display_url = get_bloginfo('url')."?c=".$code_generator_lite_display_get_code_ids[49];
	}
	elseif($code_generator_lite_display_get_code_values[55] != '' && $code_generator_lite_display_get_code_values[57] == "0") {
		$code_generator_lite_display_url = get_bloginfo('url')."?c=".$code_generator_lite_display_get_code_ids[55];
	}	
	
	$code_generator_lite_display_path = WP_PLUGIN_DIR.'/code-generator-lite/style.php';
	
	include_once($code_generator_lite_display_path);
}

add_shortcode('code_generator_lite_display', 'code_generator_lite_display');

function code_generator_lite_generate() {

	global $wpdb, $code_generator_lite_generate_get_code;

	if(isset($_POST['code_generator_lite_generate_generate'])){
		$code_generator_lite_generate_password = stripslashes((string)$_POST['code_generator_lite_generate_password']);
		
		$code_generator_lite_generate_code = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE value = '$code_generator_lite_generate_password'");

		$code_generator_lite_generate_code_password_id = $code_generator_lite_generate_code->id;
		
		if($code_generator_lite_generate_code_password_id == "3") {
			$code_generator_lite_generate_get_code = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '2'");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '2' then '' when '3' then '' when '5' then '' when '6' then '' when '7' then '' end WHERE id IN ('2','3','5','6','7')");
		}
		elseif($code_generator_lite_generate_code_password_id == "9") {
			$code_generator_lite_generate_get_code = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '8'");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '8' then '' when '9' then '' when '11' then '' when '12' then '' when '13' then '' end WHERE id IN ('8','9','11','12','13')");
		}
		elseif($code_generator_lite_generate_code_password_id == "15") {
			$code_generator_lite_generate_get_code = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '14'");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '14' then '' when '15' then '' when '17' then '' when '18' then '' when '19' then '' end WHERE id IN ('14','15','17','18','19')");
		}
		elseif($code_generator_lite_generate_code_password_id == "21") {
			$code_generator_lite_generate_get_code = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '20'");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '20' then '' when '21' then '' when '23' then '' when '24' then '' when '25' then '' end WHERE id IN ('20','21','23','24','25')");
		}
		elseif($code_generator_lite_generate_code_password_id == "27") {
			$code_generator_lite_generate_get_code = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '26'");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '26' then '' when '27' then '' when '29' then '' when '30' then '' when '31' then '' end WHERE id IN ('26','27','29','30','31')");
		}
		elseif($code_generator_lite_generate_code_password_id == "33") {
			$code_generator_lite_generate_get_code = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '32'");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '32' then '' when '33' then '' when '35' then '' when '36' then '' when '37' then '' end WHERE id IN ('32','33','35','36','37')");
		}
		elseif($code_generator_lite_generate_code_password_id == "39") {
			$code_generator_lite_generate_get_code = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '38'");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '38' then '' when '39' then '' when '41' then '' when '42' then '' when '43' then '' end WHERE id IN ('38','39','41','42','43')");
		}
		elseif($code_generator_lite_generate_code_password_id == "45") {
			$code_generator_lite_generate_get_code = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '44'");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '44' then '' when '45' then '' when '47' then '' when '48' then '' when '49' then '' end WHERE id IN ('44','45','47','48','49')");
		}
		elseif($code_generator_lite_generate_code_password_id == "51") {
			$code_generator_lite_generate_get_code = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '50'");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '50' then '' when '51' then '' when '53' then '' when '54' then '' when '55' then '' end WHERE id IN ('50','51','53','54','55')");
		}
		elseif($code_generator_lite_generate_code_password_id == "57") {
			$code_generator_lite_generate_get_code = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."code_generator_lite WHERE id = '56'");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '56' then '' when '57' then '' when '59' then '' when '60' then '' when '61' then '' end WHERE id IN ('56','57','59','60','61')");
		}
	}
	
	if(isset($_GET['c'])){
		$code_generator_lite_generate_code_id = $_GET['c'];
		
		if($code_generator_lite_generate_code_id == "2") {
			$code_generator_lite_generate_get_urls = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite where id IN ('5','6','7') and value <> '' ORDER BY id");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = '1' WHERE id = '4'");
		}
		elseif($code_generator_lite_generate_code_id == "8") {
			$code_generator_lite_generate_get_urls = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite where id IN ('11','12','13') and value <> '' ORDER BY id");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = '1' WHERE id = '10'");
		}
		elseif($code_generator_lite_generate_code_id == "14") {
			$code_generator_lite_generate_get_urls = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite where id IN ('17','18','19') and value <> '' ORDER BY id");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = '1' WHERE id = '16'");
		}
		elseif($code_generator_lite_generate_code_id == "20") {
			$code_generator_lite_generate_get_urls = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite where id IN ('23','24','25') and value <> '' ORDER BY id");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = '1' WHERE id = '22'");
		}
		elseif($code_generator_lite_generate_code_id == "26") {
			$code_generator_lite_generate_get_urls = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite where id IN ('29','30','31') and value <> '' ORDER BY id");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = '1' WHERE id = '28'");
		}
		elseif($code_generator_lite_generate_code_id == "32") {
			$code_generator_lite_generate_get_urls = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite where id IN ('35','36','37') and value <> '' ORDER BY id");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = '1' WHERE id = '34'");
		}		
		elseif($code_generator_lite_generate_code_id == "38") {
			$code_generator_lite_generate_get_urls = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite where id IN ('41','42','43') and value <> '' ORDER BY id");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = '1' WHERE id = '40'");
		}		
		elseif($code_generator_lite_generate_code_id == "44") {
			$code_generator_lite_generate_get_urls = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite where id IN ('47','48','49') and value <> '' ORDER BY id");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = '1' WHERE id = '46'");
		}
		elseif($code_generator_lite_generate_code_id == "50") {
			$code_generator_lite_generate_get_urls = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite where id IN ('53','54','55') and value <> '' ORDER BY id");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = '1' WHERE id = '52'");
		}
		elseif($code_generator_lite_generate_code_id == "56") {
			$code_generator_lite_generate_get_urls = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."code_generator_lite where id IN ('59','60','61') and value <> '' ORDER BY id");
			$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = '1' WHERE id = '58'");
		}
		
		foreach($code_generator_lite_generate_get_urls as $code_generator_lite_generate_get_url):
			$code_generator_lite_generate_url[] = $code_generator_lite_generate_get_url->value;
		endforeach;

		$code_generator_lite_generate_urls = $code_generator_lite_generate_url[array_rand($code_generator_lite_generate_url)];
		
		wp_redirect($code_generator_lite_generate_urls);
        exit;
	}
}

function code_generator_lite_setup() {
	global $wpdb;
	
	global $code_generator_lite_db_version;

	$wpdb->query("CREATE TABLE ".$wpdb->prefix."code_generator_lite (id SMALLINT UNSIGNED NOT NULL PRIMARY KEY, name VARCHAR(40) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL, value VARCHAR(80) CHARACTER SET utf8 COLLATE utf8_unicode_ci) ENGINE = MYISAM;");

	add_menu_page('Code Generator Lite', 'Code Generator Lite', 8, 'code_generator_lite_generator', 'code_generator_lite');
	add_submenu_page('code_generator_lite_generator', 'Create Generator', 'Create Generator', 8, 'code_generator_lite_create_generator', 'code_generator_lite_create_generator');
	add_submenu_page('code_generator_lite_generator', 'Add Code', 'Add Code', 8, 'code_generator_lite_add_code', 'code_generator_lite_add_code');
	add_submenu_page('code_generator_lite_generator', 'Edit Generator', '', 8, 'code_generator_lite_edit_generator', 'code_generator_lite_edit_generator');
	add_submenu_page('code_generator_lite_generator', 'Generator Style', '', 8, 'code_generator_lite_style', 'code_generator_lite_style');
	add_submenu_page('code_generator_lite_generator', 'Edit Code', '', 8, 'code_generator_lite_edit_code', 'code_generator_lite_edit_code');
	$code_generator_installed_ver = get_option("code_generator_db_version");
	
	$table_name = $wpdb->prefix . "code_generator_lite";

	if($code_generator_lite_installed_ver != $code_generator_lite_db_version) {
		$sql = "CREATE TABLE $table_name (
		id SMALLINT UNSIGNED NOT NULL PRIMARY KEY, 
		name VARCHAR(40) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL, 
		value VARCHAR(80) CHARACTER SET utf8 COLLATE utf8_unicode_ci
		);";
		
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
		add_option("code_generator_lite_db_version", $code_generator_lite_db_version);
	}
}

function code_generator_lite_update_db_check() {
    global $code_generator_lite_db_version;
	
	if (get_site_option('code_generator_lite_db_version') != $code_generator_lite_db_version) {
        code_generator_lite_setup();
    }
}
add_action('code_generator_lite_loaded', 'code_generator_lite_update_db_check');

register_activation_hook(__FILE__, 'code_generator_lite_code_active');
add_action('code_generator_lite_code_active_change', 'code_generator_lite_code_active_zero');

function code_generator_lite_code_active() {
	wp_schedule_event(time(), 'hourly', 'code_generator_lite_code_active_change');
}

function code_generator_lite_code_active_zero() {
	global $wpdb;
	
	$wpdb->query("UPDATE ".$wpdb->prefix."code_generator_lite SET value = case id when '4' then '0' when '10' then '0' when '16' then '0' when '22' then '0' when '28' then '0' when '34' then '0' when '40' then '0' when '46' then '0' when '52' then '0' when '58' then '0' end WHERE id IN ('4','10','16','22','28','34','40','46','52','58')");
}

register_deactivation_hook(__FILE__, 'code_generator_lite_code_active_deactivation');

function code_generator_lite_code_active_deactivation() {
	wp_clear_scheduled_hook('code_generator_lite_code_active_change');
}

add_action('admin_menu', 'code_generator_lite_setup'); 
add_action('init','code_generator_lite_generate');
?>